Subject: Re: bug#14042: configure error for guile 2.0.7

From: Marc Girod <[email-masked]>
Date: Tue, 26 Mar 2013 10:40:44 +0000

Hi Ludo,

On Tue, Mar 26, 2013 at 10:02 AM, Ludovic Courtès <[email-masked]> wrote:

> So I’ll assume there’s nothing wrong, unless you can reproduce the problem.

Fair enough. I'll try to reproduce my problem.

> I was referring to libgc (the Boehm-Demers-Weiser GC), not libc.  :-)

Sorry...

> Can you check that?

Well, I didn't enable threads explicitly on the configure line...
But the config.log contains, as part of confdefs.h:

#define GC_SOLARIS_THREADS 1
#define THREAD_LOCAL_ALLOC 1

So, yes, I expect threads to be enabled.
And it is version 7.2

And sure, I can build them again with the threads disabled...
I don't jump on it right now, though...

Did I already mention that my build of gcc 4.7.2 produces a
segmentation fault on any C++ exceptions?
I reported it and so far got a reply that gcc 4.7.2 built with Sun
tools works fine (I built with GNU).

Thanks,
Marc